/****************************************************************
***
*** Main c file for locale
***
*** This file has been generated by Localizer 1.0
***
*****************************************************************/

#include <libraries/locale.h>
#include <proto/locale.h>

static LONG CatVersion = 1;

extern struct Library *LocaleBase;

struct LocStr
{
    LONG   ID;
    STRPTR Str;
};

const struct LocStr _CopyrightText = {0,"\33cBetterString.mcc V11.3 (28-May-99)\nCopyright 1999 Allan Odgaard\n\n\nFor feedback, please write:\nDuff@DIKU.DK\n\nFor the latest version, check out:\nhttp://www.diku.dk/students/duff/\n\n\33cBetterString.mcc V11.3 (28-May-99)\nCopyright 1999 Allan Odgaard"};
const struct LocStr _Label_Active = {1,"Active:"};
const struct LocStr _Label_Background = {2,"\33cBackground"};
const struct LocStr _Label_Cursor = {3,"Cursor:"};
const struct LocStr _Label_Fonts = {4,"Font:"};
const struct LocStr _Label_Frame = {5,"Frame:"};
const struct LocStr _Label_Inactive = {6,"Inactive:"};
const struct LocStr _Label_Marked = {7,"Marked:"};
const struct LocStr _Label_Text = {8,"\33cText"};
const struct LocStr _String_TestString = {9,"Test the power of BetterString here!"};

static struct Catalog *Catalog = NULL;

/******************************************************************************/
void OpenCat(struct Locale *);
void CloseCat(void);
STRPTR GetString(APTR);

/******************************************************************************/

void OpenCat(struct Locale * Loc)
{
    if(LocaleBase != NULL && Catalog == NULL)
    {
        Catalog=OpenCatalog(Loc,(STRPTR)"BetterString_mcp.catalog",
                            OC_BuiltInLanguage,"english",
                            OC_Version,CatVersion,
                            TAG_DONE);
    }
}

void CloseCat(void)
{
    if(LocaleBase!=NULL)
    {
        CloseCatalog(Catalog);
    }
    Catalog=NULL;
}

STRPTR GetString(APTR CatStr)
{
    STRPTR DefStr;
    LONG StrNum;

    StrNum=((struct LocStr *)CatStr)->ID;
    DefStr=((struct LocStr *) CatStr)->Str;

    return(Catalog ? GetCatalogStr(Catalog,StrNum,DefStr) : DefStr);
}
